5. Properties of Tulip
Prev | Chapter 7. Tulip graph format | Next

## 5. Properties of Tulip

`viewSelection`

  type : bool, this property is the one used for selected elements in Tulip.

      (property  0 bool "viewSelection"
        (default "false" "false" )
        (node 1 "true")
        (node 2 "true")
        (node 3 "true")
        (edge 2 "true")
        (edge 8 "true")
      )

`viewLayout`

  type : layout, this property is the one used for displaying graph in Tulip.

      (property  0 layout "viewLayout"
        (default "(0,0,0)" "()" )
        (node 1 "(10,10,10)")
        (node 2 "(20,20,20)")
        (edge 1 "(15,15,15)(25,25,25)")
      )

`viewColor`

  type : color, this property is the one used for coloring graphs in Tulip.

      (property  0 color "viewColor"
        (default "(235,0,23,255)" "(0,0,0,0)" )
        (node 1 "(200,0,200,255)")
        (node 2 "(100,100,0,255)")
        (node 3 "(100,100,0,255)")
        (edge 2 "(200,100,100)")
      )

`viewLabel`

  type : string, this property is the one used for labeling the graphs in Tulip(in label mode).

      (property  0 string "viewLabel"
        (default "" "" )
        (node 1 "Hello")
        (node 2 "Bonjour")
        (node 3 "Bye")
        (edge 2 "Aurevoir")
      )

`viewSize`

  type : size, this property is the one used for the size of elements displayed.

      (property  0 size "viewSize"
        (default "(0,0,0)" "(1,1,1)" )
        (node 1 "(10,10,10)")
        (node 2 "(20,20,20)")
      )

`viewShape`

  type : int, this property is used for defining the shape of elements.

      (property  0 int "viewShape"
        (default "0" "0" )
        (node 1 "1")
        (node 2 "2")
      )

`viewTexture`

`viewMetaGraph`

`viewRotation`

Prev | Up | Next
4. Definitions of properties | Home | 6. GlScene